#!/bin/sh
#
# (C) Copyright IBM Corp. 1998, 2013  All Rights Reserved.
#
#ident  "@(#)rtedit      1.1     05/22/2006 RLS"

# Usage: rtedit file_to_edit
# First check that a file was passed in to edit
[ $# -lt 1 ] && exit 1

# Check if the environment can resolve to either dtterm or xterm.
type dtterm 2>&1 >/dev/null
if [ $? -ne 0 ]
then
   type xterm 2>&1 >/dev/null
   if [ $? -ne 0 ]
   then
       exit 1
   else
       _RTTERM=xterm
   fi
else
  _RTTERM=dtterm
fi

# Next check if the EDITOR environment can be resolved.
_RTEDIT=${EDITOR:-vi}
type $_RTEDIT 2>&1 >/dev/null
if [ $? -ne 0 ]
then
   type vi 2>&1 >/dev/null
   if [ $? -ne 0 ]
   then
       exit 1
   else
       _RTEDIT=vi
   fi
fi

# Echo the syntax being used
echo $_RTTERM -e $_RTEDIT $1
$_RTTERM -e $_RTEDIT $1

exit 0